Package ru.bitel.bgbilling.modules.bvcom.common.service

# Interface BVComService

All Superinterfaces:
  `PaymentServiceProvider`

public interface BVComService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTransaction(Transaction transaction)`
  `List<Transaction>`
  `getReturnTransactionList()`
  `Transaction`
  `getTransaction(int transactionId)`
  `void`
  `returnMoney(Transaction transaction)`
  `SearchResult<Transaction>`
  `searchTransactionList(int contractId, String contractTitle, String status, PeriodWithTime period, String[] sort, Page page)`
  `void`
  `updateTransaction(Transaction transaction)`

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, doManualAutopayment, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(int contractId, String contractTitle, String status, PeriodWithTime period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransaction

    Transaction getTransaction(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getReturnTransactionList

    List<Transaction> getReturnTransactionList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addTransaction

    void addTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTransaction

    void updateTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### returnMoney

    void returnMoney(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`